%define major 4
%define libname %mklibname exosip2_ %major
%define libname_devel %mklibname -d exosip2

Summary: 	Extended osip library
Name: 	 	exosip
Version:	3.0.3
Release: 	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://savannah.nongnu.org/projects/exosip/
Source0:	libeXosip2-%{version}.tar.gz
BuildRequires:	libosip2-devel >= 3.0.3
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Exosip is a library that hides the complexity of using the SIP protocol for
mutlimedia session establishement. This protocol is mainly to be used by VoIP
telephony applications (endpoints or conference server) but might be also
useful for any application that wish to establish sessions like multiplayer
games.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name

%package -n 	%{libname_devel}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	libexosip2-devel = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: 	%{name}-devel < %{version}-%{release}
# Old library name
Obsoletes:	%mklibname -d exosip 5

%description -n %{libname_devel}
Libraries and includes files for developing programs based on %name.

%prep

%setup -q -n libeXosip2-%{version}

%build

%configure

%make

%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la



%changelog
* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 3.0.3-1mdv2008.1
+ Revision: 157685
- Fix group
- Fix build requires (libosip2-devel not libosip-devel)
- Conform to new library policy
- Update to 3.0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.2.2-0.20060217.2mdv2008.1
+ Revision: 124834
- kill re-definition of %%buildroot on Pixel's request
- import exosip


* Wed Mar 29 2006 Stefan van der Eijk <stefan@eijk.nu> 2.2.2-0.20060217.2mdk
- BuildRequires

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-0.20060217.1mdk
- new snap (20060217)

* Thu Apr 7 2005 Austin Acton <austin@mandrake.org> 0.9.0.cvs20050407-1mdk
- new cvs checkout

* Thu Feb 10 2005 Austin Acton <austin@mandrake.org> 0.9.0.cvs20050210-1mdk
- initial package
